> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Imports customer items.



## OpenAPI

````yaml https://platform.affelios.com/swagger/v1/swagger.json post /api/v1/customer/import
openapi: 3.0.4
info:
  title: Affelios Platform API
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /api/v1/customer/import:
    post:
      tags:
        - Customer
      summary: Imports customer items.
      operationId: CustomerImportPost
      parameters:
        - name: X-Api-Key
          in: header
          schema:
            type: string
      requestBody:
        description: Customer items.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerImportBody'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerImportBody'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerImportBody'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
components:
  schemas:
    AffiliateCustomerImportBody:
      required:
        - items
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AffiliateCustomerImportLineItem'
      additionalProperties: false
    AffiliateCustomerImportResponse:
      type: object
      properties:
        numImported:
          type: integer
          format: int32
        numDuplicates:
          type: integer
          format: int32
        numFailed:
          type: integer
          format: int32
        firstFailureId:
          type: string
          nullable: true
        firstFailureMessage:
          type: string
          nullable: true
      additionalProperties: false
    AffiliateCustomerImportLineItem:
      required:
        - affiliateExternalId
        - externalId
        - registrationDate
      type: object
      properties:
        externalId:
          minLength: 1
          type: string
        affiliateExternalId:
          minLength: 1
          type: string
        externalTrackerId:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
        registrationDate:
          type: string
          format: date-time
        brandId:
          type: string
          nullable: true
        externalBrandId:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        revShareExcluded:
          type: boolean
        cpaExcluded:
          type: boolean
        category:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        customParameter:
          type: string
          nullable: true
        referringUrl:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````